Loading...
Searching...
No Matches
Halide::ArgumentEstimates Struct Reference

`#include <Argument.h>`

## Public Member Functions

bool | operator== (const ArgumentEstimates &rhs) const

## Public Attributes

Expr | scalar_def
| If this is a scalar argument, then these are its default, min, max, and estimated values.
Expr | scalar_min
Expr | scalar_max
Expr | scalar_estimate
Region | buffer_estimates
| If this is a buffer argument, these are the estimated min and extent for each dimension.

## Detailed Description

Definition at line 18 of file Argument.h.

## Member Function Documentation

## operator==()

bool Halide::ArgumentEstimates::operator== | ( | const ArgumentEstimates & | rhs | ) | const

## Member Data Documentation

## scalar_def

Expr Halide::ArgumentEstimates::scalar_def

If this is a scalar argument, then these are its default, min, max, and estimated values.

For buffer arguments, all should be undefined.

Definition at line 21 of file Argument.h.

## scalar_min

Expr Halide::ArgumentEstimates::scalar_min

Definition at line 21 of file Argument.h.

## scalar_max

Expr Halide::ArgumentEstimates::scalar_max

Definition at line 21 of file Argument.h.

## scalar_estimate

Expr Halide::ArgumentEstimates::scalar_estimate

Definition at line 21 of file Argument.h.

## buffer_estimates

Region Halide::ArgumentEstimates::buffer_estimates

If this is a buffer argument, these are the estimated min and extent for each dimension.

If there are no estimates, buffer_estimates.size() can be zero; otherwise, it must always equal the dimensions

Definition at line 27 of file Argument.h.

The documentation for this struct was generated from the following file:

- src/Argument.h